Bug 430725 - [QLogic 5.2 bug] qla2xxx - Incorrect firmware loaded for qla25xx
[QLogic 5.2 bug] qla2xxx - Incorrect firmware loaded for qla25xx
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
: OtherQA, Regression
Depends On:
Blocks: 216992
  Show dependency treegraph
 
Reported: 2008-01-29 11:32 EST by Marcus Barrow
Modified: 2009-06-19 22:12 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix firmware load for 25xxx (1.21 KB, patch)
2008-01-29 11:37 EST, Marcus Barrow
no flags Details | Diff
fix with extra change removed (886 bytes, patch)
2008-01-29 12:30 EST, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-01-29 11:32:05 EST
A typo has been causing the 4 Gb/S firmware to be loaded into the 8 Gb/S cards.

This makes the card unable to even bring up a link.

The change has been tested at RedHat and with the correction the link
is brought up and much I/O has been performed.
Comment 1 Marcus Barrow 2008-01-29 11:37:55 EST
Created attachment 293303 [details]
Fix firmware load for 25xxx
Comment 3 Marcus Barrow 2008-01-29 12:30:55 EST
Created attachment 293308 [details]
fix with extra change removed
Comment 4 Marcus Barrow 2008-01-29 12:32:10 EST
When I double checked the patch I noticed an extraneous change which I have removed.
A clean version has now been attached and posted to rhkl.

Comment 6 Don Zickus 2008-02-01 16:11:14 EST
in 2.6.18-77.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Mike Gahagan 2008-02-19 17:02:10 EST
Confirmed fix is in the -80.el5 kernel
Comment 10 errata-xmlrpc 2008-05-21 11:08:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.